co.aikar.commands

## Class MessageFormatter<FT>

- java.lang.Object
- - co.aikar.commands.MessageFormatter<FT>

Type Parameters:
  `FT` - The platform specific color object

    public abstract class MessageFormatter<FT>
    extends Object

Handles formatting Messages and managing colors

### Constructor Summary

Constructors
Constructor and Description
`MessageFormatter(FT... colors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(int index, String message)`
`String` `format(String message)`
`FT` `getColor(int index)`
`FT` `getDefaultColor()`
`FT` `setColor(int index, FT color)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageFormatter

    @SafeVarargs
    public MessageFormatter(FT... colors)

### Method Detail

#### setColor

    public FT setColor(int index,
                       FT color)

#### getColor

    public FT getColor(int index)

#### getDefaultColor

    public FT getDefaultColor()

#### format

    public String format(int index,
                         String message)

#### format

    public String format(String message)